ATI FirePro 2460 Multi-View - debian 9.0.0_amd64 - only black screen with firmware-amd-graphics

My system:

 

    AMD Graphics Card

        ATI FirePro 2460 multi-view professional graphics

        URL: http://www.amd.com/de-de/products/graphics/workstation/firemv-2d/2460#

       

    Desktop or Laptop System

        Desktop

       

    Operating System

        debian_9.0.0_amd64_DVD-1_2017-06-17, kde

        URL: https://cdimage.debian.org/debian-cd/current/amd64/iso-dvd/

       

    Driver version installed

       

    Display Devices

        two Eizo FlexScan EV2436W with resolution: 1920 x 1200

       

    Motherboard

        ASUS Z87-WS, BIOS 1803, 04/16/2014

       

    CPU/APU

        Intel Core i7-47-4790T, Socket 1150

       

    Power Supply Unit  Make, Model & Wattage

        Enermax, Platimax, 850 Wattage, ATX23

       

    RAM

        24 GB

 

Hello,

I have installed a new operating system (debian 9) on a new hdd. The system starts and an error message appears with:

*Error* radeon kernel modsetting requires firmware-amd-graphics. The system runs further and I can see a picture, which is the same

on both monitors, with a resolution from 1600 x 1200 on the kde system. I can work with this system.

 

So I add contrib and non-free to /etc/apt/souces.list and make:

 

#apt-get update

#apt-get install firmware-amd-graphics firmware-linux-nonfree libgl1-mesa-dri xserver-xorg-video-ati

 

Then I start the system again. The only thing I saw now, is a black screen, with DisplayPort, Signal Error, not more.

 

I can't use a shell or somthing else. The only thing I can do is to use the rescue mode from the DVD and

remove with #apt-get --purge remove firmware-amd-graphics. So I can work again with the same pictures on both monitors.

 

I have tried to install the 64 bit linux AMD driver for this card, which is from 12/1/2015,

URL: http://support.amd.com/en-us/download/workstation/previous/detail?os=Linux+x86_64&rev=15.201.2401#pro-driver

but this one shows an mistake:

 

root@debian:/home/XYZ/Downloads/fglrx-15.201.2401# ./amd-driver-installer-15.201.2401-x86.x86_64.run

Created directory fglrx-install.DgKr5s

Verifying archive integrity... All good.

Uncompressing AMD Catalyst(TM) Proprietary Driver-15.201.2401..

=====================================================================

AMD Catalyst(TM) Proprietary Driver Installer/Packager

=====================================================================

 

error: Detected X Server version 'XServer 1.19.2_64a' is not supported.

Supported versions are X.Org 6.9 or later, up to XServer 1.10 (default:v2:x86_64:lib:XServer 1.19.2_64a:none:4.9.0-3-amd64:)

Installation will not proceed.

 

Removing temporary directory: fglrx-install.DgKr5s

root@debian:/home/XYZ/Downloads/fglrx-15.201.2401#

 

Can AMD workers help me or mybe someone else? Can you make an update for XServer 1.19.2_64a ? Or can you have a look at firmware-amd-graphics and

the free radeon driver? I don't know why my system will not start with the free radeon driver? It seems it is frozen when it trys to start with the firmware-amd-graphics.

 

Thank you for your help.

 

Yours sincerely

paul345